<?php

    //====================================================
    //        ПРИМЕР ВЗАИМОДЕЙСТВИЯ С API МОГУТЫ 
    //              ЧЕРЕЗ КЛАСС MOGUTAAPI
    //====================================================

    // создаем экземпляр класса mogutaApi
    //====================================================
    //                    ПАРАМЕТРЫ
    //====================================================
    // 1 - сайт на который будет произведен запрос
    // 2 - токен для проверки подлинности запроса
    // 3 - секретный ключ, для проверки ответа сервера
    //====================================================
    include 'mogutaapi.php';
    $api = new mogutaApi('https://domain.name', 
        'fea8bbb8fa9ae6a476a9049d8355767b', 'sercet1');

    // инициализируем запрос к API магазина
    //====================================================
    //                    ПАРАМЕТРЫ
    //====================================================
    // 1 - название запрашиваемого метода
    // 2 - параметры необходимые для отработки метода
    // 3 - включить полный вывод ответа ( true )
    //  или упрощенный ответ только с ответом метода ( false )
    //  по умолчанию false
    // 4 - выключить проверку подписи ( false )
    // по умолчанию включено ( рекомендуеться )
    //====================================================
    $testParam = array('4545', '4544', '4543');
    $res = $api->run('test', $testParam, true);

    // просматриваем ответ
    print_r($res);


    // пример заполнения массива для импорта товара через API
    // для обновления товара нужно использовать структуру анологичную выгружаемой
    $param['products'][] = array(
        'cat_id' => '1',
        'title' => 'Распределительный электрошкаф--ID15000',
        'description' => '<p>Периодичность обслуживания зависит от интенсивности эксплуатации, поэтому схема обслуживания всегда&nbsp;<br />индивидуальна.&nbsp;</p><p>Автоматический контроль и унифицированные технологии обеспечивают<br />долговременную и надежную эксплуатацию оборудования, что позволяет избежать частого обслуживания,<br />за исключением некоторых технологических операций, таких как:<br /><strong>Раз в 3 месяца:</strong><br />– удаление ила из отстойника с помощью штатного насоса с заглушкой;<br />– очистка главного насоса неочищенной воды и фильтра крупных фракций;<br />– очистка стенок вторичного отстойника;<br />– очистка фильтров компрессоров.<br /><strong>Раз в 6 месяцев:</strong><br />– удаление ила из отстойника с помощью дренажного насоса (если не имело место удаление ила с помощью&nbsp;<br />штатного насоса после 3 месяцев). Несвоевременная очистка активного ила приводит к нарушению работы&nbsp;<br />станции.<br />– очистка уловителя для волос в аэротенке.<br /><strong>Раз в 5 лет</strong> – очистка уравнительного резервуара и аэротенка от стабилизированного осадка.<br /><strong>Раз в 10 лет</strong> – замена аэрационных элементов.<br />Необходимо время от времени осуществлять контроль правильности работы оборудования визуально при открытой&nbsp;<br />крышке. В ходе сервисного обслуживания необходимо очищать стенки вторичного отстойника от слоя отложившегося&nbsp;<br />ила.</p>',
        'price' => '87894',
        'url' => 'raspredelitelnyy-elektroshkaf--id15000',
        'image_url' => '"no-img.jpg"',
        'code' => 'TR-15000-V1',
        'count' => '35',
        'activity' => '1',
        'meta_title' => 'Распределительный электрошкаф',
        'meta_keywords' => 'Распределительный, электрошкаф',
        'meta_desc' => 'Распределительный электрошкаф',
        'old_price' => '38517',
        'weight' => '422.019',
        'link_electro' => '',
        'currency_iso' => 'RUR',
        'price_course' => '87894',
        'image_title' => '',
        'image_alt' => '',
        'yml_sales_notes' => '',
        'variants' => Array(
            Array(
                'title_variant' => '-Var1',
                'image' => '',
                'sort' => '',
                'price' => '87894',
                'old_price' => '38517',
                'count' => '43',
                'code' => 'TR-15000-V1',
                'activity' => '1',
                'weight' => '422.019',
                'currency_iso' => 'RUR',
                'price_course' => '87894',
            ),

            Array(
                'title_variant' => '-Var2',
                'image' => '',
                'sort' => '',
                'price' => '82798',
                'old_price' => '38517',
                'count' => '48',
                'code' => 'TR-15000-V2',
                'activity' => '1',
                'weight' => '221.84',
                'currency_iso' => 'RUR',
                'price_course' => '82798',
            ),
        ),
        'property' => Array(
            array(
                'name' => 'Строковая характеристик',
                'type' => 'string',
                'value' => 'Значение',
            ),
            array(
                'name' => 'Текстовая характеристика',
                'type' => 'textarea',
                'value' => 'Тут может быть много текста',
            ),
        )
    );
    
?>